LIBRARY ieee;
USE ieee.std_logic_1164.all;

ENTITY trin IS
	GENERIC (N: INTEGER := 8);
	PORT (
		registrador:	IN STD_LOGIC_VECTOR(N-1 DOWNTO 0);
		chave:	IN STD_LOGIC;
		barramento:	OUT STD_LOGIC_VECTOR(N-1 DOWNTO 0)
	);
END trin;

ARCHITECTURE a OF trin IS
BEGIN
	barramento <= (OTHERS => 'Z') WHEN chave = '0' ELSE registrador;
END a;